ALTER TABLE marketplace_products ADD COLUMN preview VARCHAR NULL DEFAULT NULL;
ALTER TABLE marketplace_products ADD COLUMN attachments VARCHAR NULL DEFAULT NULL;

ALTER TABLE marketplace_categories ADD COLUMN mobile_picture VARCHAR NULL DEFAULT NULL;

DROP TABLE tickets;
DROP TABLE storage_files;

CREATE TABLE tickets (
    id INTEGER PRIMARY KEY,
    account_id INTEGER NULL DEFAULT NULL,
    fault TEXT NULL DEFAULT NULL,
    result_text TEXT NULL DEFAULT NULL,
    created_at INTEGER NULL DEFAULT NULL,
    closed_at INTEGER NULL DEFAULT NULL,
    company_id INTEGER NULL DEFAULT NULL,
    house_id INTEGER NULL DEFAULT NULL,
    status TEXT NULL DEFAULT NULL,
    rate INTEGER NULL DEFAULT NULL,
    paid INTEGER NULL DEFAULT NULL,
    number TEXT NULL DEFAULT NULL,
    text TEXT NULL DEFAULT NULL,
    files VARCHAR NULL DEFAULT NULL,
    result_files VARCHAR NULL DEFAULT NULL
);

CREATE TABLE ticket_performers (
    `user_id` INTEGER NOT NULL,
    `ticket_id` INTEGER NOT NULL,
    PRIMARY KEY(`user_id`, `ticket_id`)
);

ALTER TABLE marketplace_reviews ADD COLUMN attachments TEXT;

CREATE TABLE storage_files (
    id TEXT PRIMARY KEY NOT NULL,
    name TEXT NOT NULL,
    path TEXT NULL DEFAULT NULL,
    size REAL NOT NULL DEFAULT NULL,
    company_id INTEGER NULL DEFAULT NULL,
    content_type TEXT NOT NULL
);

CREATE INDEX index_ticket_performers_user_id ON ticket_performers(user_id);
CREATE INDEX index_ticket_performers_ticket_id ON ticket_performers(ticket_id);